<back to all web services

SetConfiguration

The following routes are available for this service:
POST/RestApi/translations/configure
import 'package:servicestack/servicestack.dart';

class SetConfiguration implements IConvertible
{
    String? Cron;

    SetConfiguration({this.Cron});
    SetConfiguration.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        Cron = json['Cron'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'Cron': Cron
    };

    getTypeName() => "SetConfiguration";
    TypeContext? context = _ctx;
}

class SetConfigurationResponse implements IConvertible
{
    String? NextSyncRun;

    SetConfigurationResponse({this.NextSyncRun});
    SetConfigurationResponse.fromJson(Map<String, dynamic> json) { fromMap(json); }

    fromMap(Map<String, dynamic> json) {
        NextSyncRun = json['NextSyncRun'];
        return this;
    }

    Map<String, dynamic> toJson() => {
        'NextSyncRun': NextSyncRun
    };

    getTypeName() => "SetConfigurationResponse";
    TypeContext? context = _ctx;
}

TypeContext _ctx = TypeContext(library: 'www.imglobal.com', types: <String, TypeInfo> {
    'SetConfiguration': TypeInfo(TypeOf.Class, create:() => SetConfiguration()),
    'SetConfigurationResponse': TypeInfo(TypeOf.Class, create:() => SetConfigurationResponse()),
});

Dart SetConfiguration DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/configure HTTP/1.1 
Host: www.imglobal.com 
Accept: application/json
Content-Type: application/json
Content-Length: length

{"Cron":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"NextSyncRun":"String"}